Subject: bug#71380: 30.0.50; Submitting php-ts-mode, new major mode for php

From: Stefan Monnier <[email-masked]>
Date: Fri, 07 Jun 2024 09:49:08 -0400

> c-ts-mode-set-modeline does the same, which is why I did it too. 

I see.  FWIW, I consider such things as errors: major mode should
provide  the functionality that depends on the language, but there's
nothing special about C comments that makes `comment-start` more
deserving of being in the mode-line in a C mode than in any other mode.

IOW, it seems like this is a case where the major mode author imposed
his own preference.  If you want `comment-start` in the mode-line in C,
then most likely you also want it in many/most other modes and so you
should implement a minor mode for that which would be usable in
any mode.

        Stefan